JmolJDXMOLReader
Date: 2019-10-22

org.jmol.api

## Interface JmolJDXMOLReader

- All Known Implementing Classes:
    JcampdxReader

      public interface JmolJDXMOLReader

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPeakData(java.lang.String info)`
    `java.lang.String` | `discardLinesUntilContains(java.lang.String string)`
    `java.lang.String` | `discardLinesUntilContains2(java.lang.String tag1, java.lang.String tag2)`
    `java.lang.String` | `discardLinesUntilNonBlank()`
    `void` | `processModelData(java.lang.String data, java.lang.String id, java.lang.String type, java.lang.String base, java.lang.String last, float modelScale, float vibScale, boolean isFirst)`
    `java.lang.String` | `rd()`
    `void` | `setSpectrumPeaks(int nH, java.lang.String piUnitsX, java.lang.String piUnitsY)`

- - ### Method Detail

    - #### addPeakData

          void addPeakData(java.lang.String info)

    - #### discardLinesUntilContains2

          java.lang.String discardLinesUntilContains2(java.lang.String tag1,
                                                      java.lang.String tag2)
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### discardLinesUntilContains

          java.lang.String discardLinesUntilContains(java.lang.String string)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### discardLinesUntilNonBlank

          java.lang.String discardLinesUntilNonBlank()
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### processModelData

          void processModelData(java.lang.String data,
                                java.lang.String id,
                                java.lang.String type,
                                java.lang.String base,
                                java.lang.String last,
                                float modelScale,
                                float vibScale,
                                boolean isFirst)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### rd

          java.lang.String rd()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setSpectrumPeaks

          void setSpectrumPeaks(int nH,
                                java.lang.String piUnitsX,
                                java.lang.String piUnitsY)